## Retrieve information about a specific schema on a zone `client.APIGateway.UserSchemas.Get(ctx, schemaID, params) (*OldPublicSchema, error)` **get** `/zones/{zone_id}/api_gateway/user_schemas/{schema_id}` Gets detailed information about a specific uploaded OpenAPI schema, including its contents and validation configuration. ### Parameters - `schemaID string` - `params UserSchemaGetParams` - `ZoneID param.Field[string]` Path param: Identifier. - `OmitSource param.Field[bool]` Query param: Omit the source-files of schemas and only retrieve their meta-data. ### Returns - `type OldPublicSchema struct{…}` - `CreatedAt Time` - `Kind OldPublicSchemaKind` Kind of schema - `const OldPublicSchemaKindOpenAPIV3 OldPublicSchemaKind = "openapi_v3"` - `Name string` Name of the schema - `SchemaID string` UUID. - `Source string` Source of the schema - `ValidationEnabled bool` Flag whether schema is enabled for validation. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/api_gateway" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) oldPublicSchema, err := client.APIGateway.UserSchemas.Get( context.TODO(), "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", api_gateway.UserSchemaGetParams{ ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", oldPublicSchema.SchemaID) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "created_at": "2014-01-01T05:20:00.12345Z", "kind": "openapi_v3", "name": "petstore schema", "schema_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "source": "", "validation_enabled": true }, "success": true } ```